SystemOrganization addCategory: #'Pier-LastUpdatedThe'!

PRWidget subclass: #PRLastUpdatedThe
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Pier-LastUpdatedThe'!

!PRLastUpdatedThe class methodsFor: 'as yet unclassified' stamp: 'damiencassou 1/9/2009 11:24'!
descriptionLastUpdatedSentence
	^ MAStringDescription new
		comment: 'The sentence which will appear with the last modification date. %s for the date.';
		default: 'Last modified the %s';
		accessor: #lastUpdatedSentence;
		label: 'sentence';
		priority: 200;
		beSetting;
		yourself! !

!PRLastUpdatedThe class methodsFor: 'as yet unclassified' stamp: 'damiencassou 1/9/2009 11:13'!
isAbstract
	^ false! !

!PRLastUpdatedThe class methodsFor: 'as yet unclassified' stamp: 'damiencassou 1/9/2009 11:13'!
label
	^ 'Last updated'! !

!PRLastUpdatedThe methodsFor: 'as yet unclassified' stamp: 'damiencassou 1/9/2009 11:54'!
lastUpdatedDate
	self kernel persistency reverseDo: [:history | ^ history command timestamp printString] for: self context structure.
	^ TimeStamp current printString! !

!PRLastUpdatedThe methodsFor: 'accessing' stamp: 'damiencassou 1/9/2009 11:14'!
lastUpdatedSentence
	^ self read: #descriptionLastUpdatedSentence! !

!PRLastUpdatedThe methodsFor: 'as yet unclassified' stamp: 'damiencassou 1/9/2009 11:51'!
lastUpdatedSentenceForCurrentDate
	^ self lastUpdatedSentence 
		copyReplaceAll: '%s'
		with: self lastUpdatedDate! !

!PRLastUpdatedThe methodsFor: 'as yet unclassified' stamp: 'damiencassou 1/9/2009 11:15'!
renderContentOn: html
	html span
		class: 'lastUpdated';
		with: self lastUpdatedSentenceForCurrentDate! !
